Ubuntu

HoneyComb MTP Supported in Ubuntu

Reported by Swapnil Bhartiya on 2011-06-29
120
This bug affects 23 people
Affects Status Importance Assigned to Milestone
libmtp
Unknown
Unknown
libmtp (Ubuntu)
Undecided
Unassigned

Bug Description

Hi,

Honeycomb tablets such as Samsung Galaxy Tab 10.1 or Motorola Xoom use MTP and you can see files in Windows. But under Ubuntu while you can see folders you can't see files inside folders. Also if you add any files to the folder or create a new folder once it is accessed by the Tablet, you can't see it under Ubuntu. With the arrival of HoneyComb, Ubuntu must offer support so that there is yet another reason to use Ubuntu.

Changed in unity:
status: New → Invalid
mitchelln (mitchell-neill) wrote :

Same goes for Asus Transformer. Cannot connect to device with Natty :(

John Kennedy (legendre17) wrote :

There are actually guides out there for using Honeycomb tablets with Ubuntu. All of them give basically the same instructions, like this

http://411technology.wordpress.com/2011/05/14/howto-setup-the-galaxy-tab-or-any-other-mtp-device-for-file-transfers-under-linux/

However, this doesn't seem to work for the Galaxy Tab 10.1 (GT-P7510MA), at least on Ubuntu 11.04. Can people confirm that it works with other tablets / on other versions of Ubuntu?

paulocic (paulocic) wrote :

I've googled a lot about this one, and neither the tutorials I found nor the ones listed here in this bug report work for me.

I'm using Kubuntu Natty and a Samsung Galaxy Tab 10.1 special edition (given at Google I/O) with Android 3.1

Bilal Akhtar (bilalakhtar) wrote :

@paulocic: Could you try downloading, compiling and installing the latest versions of libmtp and mtpfs from http://libmtp.sourceforge.net/ and http://www.adebenham.com/mtpfs/ respectively and then try out the tutorials again? Probably the GT 10.1 uses a newer version of MTP.

Thanks Bilal. I have tried almost all tutorials. I am on Ubuntu 11.04, also
running 11.10 on a test machine. Will try your suggestion and report back.
 On Jul 17, 2011 9:05 AM, "Bilal Akhtar" <email address hidden> wrote:
> @paulocic: Could you try downloading, compiling and installing the
> latest versions of libmtp and mtpfs from http://libmtp.sourceforge.net/
> and http://www.adebenham.com/mtpfs/ respectively and then try out the
> tutorials again? Probably the GT 10.1 uses a newer version of MTP.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/803694
>
> Title:
> HoneyComb MTP Supported in Ubuntu
>
> Status in Unity:
> Invalid
> Status in “libmtp” package in Ubuntu:
> New
>
> Bug description:
> Hi,
>
> Honeycomb tablets such as Samsung Galaxy Tab 10.1 or Motorola Xoom use
> MTP and you can see files in Windows. But under Ubuntu while you can
> see folders you can't see files inside folders. Also if you add any
> files to the folder or create a new folder once it is accessed by the
> Tablet, you can't see it under Ubuntu. With the arrival of HoneyComb,
> Ubuntu must offer support so that there is yet another reason to use
> Ubuntu.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/unity/+bug/803694/+subscriptions

paulocic (paulocic) wrote :

@Bilal Akhtar: I've just tried it, but without success. Even though doing it indeed changed the behavior of KDE into displaying my tablet as "Portable media device" instead of "Camera", and mtp-detect into detecting the device, although failing to actually connect to it, I cannot really use any means to get into the device's storage. Dolphin only shows directories, and has random errors when doing so. I have no write permissions and cannot even see files that I know that are there in the tablet.

I also noticed that issuing dmesg in terminal has those lines:
[ 2611.574532] cdc_acm 2-1.3:1.1: This device cannot do calls on its own. It is not a modem.
[ 2611.574604] cdc_acm 2-1.3:1.1: ttyACM0: USB ACM device
[ 2611.577736] usb 2-1.3: usbfs: process 2882 (mtp-detect) did not claim interface 0 before use

My tablet is a wifi-only version, so it cannot indeed be a modem. Could this have something to do with the bug I'm facing?

I am not very experienced, but I am willing to do some C hacking if I can help solve the bug by doing that. I just need a pointer to where to begin with it.

Bilal Akhtar (bilalakhtar) wrote :

@paulocic: What I can suggest you to do is, file a bug against libmtp on sourceforge. The maintainer seems interested in adding support for Honeycomb.

paulocic (paulocic) wrote :

OK, I just found they have already an open bug for this matter (and was
opened like 1h30m before I reached the site), so I just added myself a
comment saying I'm affected as well. Shall they provide a patch, should I
tell you, so that this patch gets included in Oneiric?

On Sun, Jul 17, 2011 at 13:58, Bilal Akhtar <email address hidden> wrote:

> @paulocic: What I can suggest you to do is, file a bug against libmtp on
> sourceforge. The maintainer seems interested in adding support for
> Honeycomb.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/803694
>
> Title:
> HoneyComb MTP Supported in Ubuntu
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/unity/+bug/803694/+subscriptions
>

Swapnil Bhartiya (swapnil) wrote :

@Bilal, @paulocic. I filed that bug there as well. We have two tablets Samsung Galaxy 10. I am working on a detailed review for Muktware.com. And this is a issue which will stop me recommending Ubuntu/Linux for potential tablet buyers. I have no option as Ubuntu is the only distro that I use. So, I need this problem to be fixed as soon as possible.

Bilal Akhtar (bilalakhtar) wrote :

@paulocic, @Swapnil: I'm an Ubuntu Developer, yeah. Once they provide a patch, poke me via e-mail and I'll ensure the patch gets in time for Oneiric. If the patch is not too large, I can also get it into Natty via a post-release SRU, but I can ensure that ONLY once I get the patch in my hand (not all changes can be pushed post release, the guidelines are strict).

Swapnil, I'm sure we will be able to fix this in time for Oneiric. Please don't stop recommending Ubuntu for tablet buyers; Android is open-source, and now that more and more Honeycomb tablets are hitting the shelves, we will take this up seriously.

John Kennedy (legendre17) wrote :

I can confirm that the solutions posted here (#2, #3) DO NOT work on the Samsung Galaxy Tab 10.1 (GT-P7510MA).

@swapnil, can you tell me how can I find the bug you posted with libmtp? I'd like to monitor that one as well. Thanks!

paulocic (paulocic) wrote :

The bug in upstream is in
https://sourceforge.net/tracker/?func=detail&aid=3369429&group_id=158745&atid=809061

I've been trying to hack the code of libmtp myself, following instructions I
got in libmtp's mailing list. I'd really love to have a pair of extra hands
help me try all the possible combinations the library allows to try to make
the tablet work =]

On Sun, Jul 24, 2011 at 11:48, John Kennedy <email address hidden>wrote:

> I can confirm that the solutions posted here (#2, #3) DO NOT work on the
> Samsung Galaxy Tab 10.1 (GT-P7510MA).
>
> @swapnil, can you tell me how can I find the bug you posted with libmtp?
> I'd like to monitor that one as well. Thanks!
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/803694
>
> Title:
> HoneyComb MTP Supported in Ubuntu
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/unity/+bug/803694/+subscriptions
>

Omer Akram (om26er) on 2011-07-24
affects: unity → null
Changed in libmtp (Ubuntu):
status: New → Confirmed
Timothy Arceri (t-fridey) wrote :

There is another nug report here: http://sourceforge.net/tracker/?func=detail&aid=3372454&group_id=158745&atid=809061

It seems like the problem is caused by Samsung implementing Microsoft DRM, and there seems to be no quick fix. This also seems to be popping up everywhere I found this post because I cannot connect my Samsung Galaxy S phone.

Also see:
https://bugs.launchpad.net/ubuntu/+source/libmtp/+bug/696301
https://answers.launchpad.net/ubuntu/+source/libmtp/+question/149587
http://sourceforge.net/tracker/index.php?func=detail&aid=3026337&group_id=158745&atid=809061

Linus Walleij (triad) wrote :

Yes there is something fishy about the MTP stack used by the Samsung
Androids. It is not the Android MTP stack produced by Google for
Honeycomb and Ice Cream Sandwich, it is something else, produced
by Samsung themselves or partners.

I need hands-on with a device like this to have a chance at this device...

I have exactly same problem with a samsung galaxy note using android 2.3.6,
so it seems that android Gingerbread is also affected by Samsung MTP stack.

Same issue with Galaxy S2 Android 4.

Same issue on tablet Galaxy Tab 7.0 Plus with Android 3 and smartphone Galaxy S II with Android 4.

Seems to be caused by Microsoft DRM added to Andoid by Samsung, which can be verified by:

1) connecting the device
2) running mtp-detect, which hangs at "Attempting to connect device(s)"
3) disconnecting the device while mtp-detect is still running. mtp-detect will then output lots of buffered info, including:

Device info:
   Manufacturer: SAMSUNG Electronics Co. Ltd.
   Model: GT-I9100
   Device version: V1.0
   Serial number: 359372049841042
   Vendor extension ID: 0x00000006
   Vendor extension description: microsoft.com: 1.0; microsoft.com/WMPPD: 11.0; microsoft.com/WMPPD: 10.0; microsoft.com/WMDRMPD:10.1; microsoft.com/playready:1.10;
   Detected object size: 64 bits
   Extensions:
        microsoft.com: 1.0
        microsoft.com/WMPPD: 11.0
        microsoft.com/WMPPD: 10.0
        microsoft.com/WMDRMPD: 10.1
        microsoft.com/playready: 1.10

Anybody here seeing the same thing?

Same issue with Samsung GalaxyTab 2 10.1 on Android 4.0.3

Alessio Treglia (quadrispro) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better.
Could anyone try to reproduce this with the latest version available in Quantal?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.